View Issue Details

IDProjectCategoryView StatusLast Update
0004816GNUnetutil librarypublic2018-06-07 00:24
ReportertgAssigned ToChristian Grothoff 
PriorityurgentSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformBSDOSFreeBSDOS Version11
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004816: client_new: compile error on BSD
Descriptiongmake[2]: Entering directory 'src/util'
  CC bandwidth.lo
  CC bio.lo
  CC client_new.lo
client_new.c:493:5: error: use of undeclared identifier 'un'
    un.sun_len = (u_char) sizeof (struct sockaddr_un);
    ^
1 error generated.

https://gnunet.org/buildbot/gnunet/#/builders/7/builds/1/steps/4/logs/stdio
TagsNo tags attached.

Activities

Christian Grothoff

2017-02-21 19:57

manager   ~0011822

This seems to already have been fixed in Git master, especially as client_new.c no longer exists and client.c (renamed) now has an #ifdef around those lines...

tg

2017-02-21 20:12

manager   ~0011823

still an issue:
https://gnunet.org/buildbot/gnunet/#/builders/7/builds/206/steps/4/logs/stdio

Christian Grothoff

2017-02-21 20:20

manager   ~0011825

Ah, I see. Ok, fixed in 0c7478479..647d88d64

Issue History

Date Modified Username Field Change
2016-11-26 10:11 tg New Issue
2017-02-21 18:25 Christian Grothoff Assigned To => Christian Grothoff
2017-02-21 18:25 Christian Grothoff Status new => assigned
2017-02-21 18:46 Christian Grothoff Priority normal => urgent
2017-02-21 18:46 Christian Grothoff Product Version => SVN HEAD
2017-02-21 18:46 Christian Grothoff Target Version => 0.11.0pre66
2017-02-21 19:57 Christian Grothoff Note Added: 0011822
2017-02-21 19:57 Christian Grothoff Status assigned => resolved
2017-02-21 19:57 Christian Grothoff Resolution open => fixed
2017-02-21 19:57 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-02-21 20:12 tg Note Added: 0011823
2017-02-21 20:20 Christian Grothoff Note Added: 0011825
2018-06-07 00:24 Christian Grothoff Status resolved => closed